summaryrefslogtreecommitdiffstats
path: root/release/checkout
diff options
context:
space:
mode:
Diffstat (limited to 'release/checkout')
-rwxr-xr-xrelease/checkout30
1 files changed, 30 insertions, 0 deletions
diff --git a/release/checkout b/release/checkout
new file mode 100755
index 0000000..de35fd3
--- /dev/null
+++ b/release/checkout
@@ -0,0 +1,30 @@
+#!/bin/bash
+# This script tags all modules listed in the "modules" file.
+#
+# Make sure to fix the set_urls function so that it uses the right tags.
+# language_list becomes the subdirs file in the l10n module, make sure it's uptodate.
+# Once it's all done, the script checks out the tagged directories under clean/.
+
+#SVNUSER=coolo
+#SVNPROTOCOL=svn+ssh
+
+test -n "$SVNUSER" || { echo "You must set SVNUSER"; exit 1; }
+test -n "$SVNPROTOCOL" || { echo "You must set SVNPROTOCOL"; exit 1; }
+
+BASE=$SVNPROTOCOL://[email protected]/home/kde
+headrev=`svn log -r HEAD -q $BASE | grep ^r | cut -b2-8 `
+
+. versions
+
+cd clean
+for i in `cat ../modules`; do
+ set_urls $i
+ if test -d $subname; then
+ svn cleanup $subname
+ svn switch $BASE/$HEADURL $subname
+ svn up -r $headrev $subname
+ else
+ svn co -r $headrev $BASE/$HEADURL $subname
+ fi
+done
+